Subject: bug#52751: 27.1; Go back to editing the from part in query replace

From: ndame <[email-masked]>
Date: Thu, 23 Dec 2021 06:55:01 +0000

I often run into the situation of doing a complicated query replace/regexp, submitting the FROM part and then during editing the TO part I notice an error in FROM. But I cannot go back there to fix it, I can either cancel the replace which deletes the FROM part, because it did not yet go into history, or I can submit some dummy TO value, cancel the replace, restart it and then use history to fix the FROM value.

There should be an easy way to go back to editing FROM without cumbersome workarounds.

Mainstream UIs solve this by having different input fields where I can switch to and edit any input field before submitting. Maybe the FROM -> TO input should be the default with a preinserted -> arrow, so the user can switch back an forth easily between FROM and TO?